1. Addresses
Rootline API
  • Auth
    • Register customer account
      POST
    • User sign-in
      POST
    • User sign-out
      POST
    • Current session information
      GET
  • Users
    • Get current user profile
      GET
    • Update current user profile
      PATCH
  • Admin - Users
    • List and search users
      GET
    • Activate or deactivate user account
      PATCH
  • Addresses
    • List user shipping addresses
      GET
    • Create shipping address
      POST
    • Update shipping address
      PATCH
    • Delete shipping address
      DELETE
  • Health
    • Health check
      GET
  • Get application info and docs route
    GET
  • Schemas
    • AppInfoResponseDto
    • RegisterDto
    • AuthResponseDto
    • ErrorResponseDto
    • LoginDto
    • SignOutResponseDto
    • SessionResponseDto
    • UserProfileDto
    • UpdateProfileDto
    • AdminUserListResponseDto
    • AdminUpdateUserStatusDto
    • AdminUserItemDto
    • AddressResponseDto
    • CreateAddressDto
    • UpdateAddressDto
    • DeleteAddressResponseDto
  1. Addresses

Update shipping address

PATCH
/users/me/addresses/{id}
Last modified:2026-11-03 23:10:15
Updates an existing shipping address. If marked default, other addresses are updated transactionally.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Address updated successfully
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/users/me/addresses/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "recipientName": "string",
    "phone": "string",
    "street": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "country": "string",
    "isDefault": true
}'
Response Response Example
200 - Example 1
{
    "id": "string",
    "userId": "string",
    "recipientName": "string",
    "phone": "string",
    "street": "string",
    "line2": [
        "string"
    ],
    "city": "string",
    "state": [
        "string"
    ],
    "postalCode": "string",
    "country": "string",
    "isDefault": true,
    "createdAt": "string",
    "updatedAt": "string"
}
Modified at 2026-11-03 23:10:15
Previous
Create shipping address
Next
Delete shipping address
Built with